AnnotationGreaterThan
Date: 2017-03-29

com.thoughtworks.qdox.model.annotation

## Class AnnotationGreaterThan

- java.lang.Object
- - com.thoughtworks.qdox.model.annotation.AnnotationBinaryOperator
  - - com.thoughtworks.qdox.model.annotation.AnnotationGreaterThan

- All Implemented Interfaces:
    AnnotationValue

      public class AnnotationGreaterThan
      extends AnnotationBinaryOperator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationGreaterThan(AnnotationValue left, AnnotationValue right)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `accept(AnnotationVisitor visitor)` Accept a visitor for this value.
    `java.lang.Object` | `getParameterValue()` Get a parameter value for `Annotation.getNamedParameter(String)`.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.thoughtworks.qdox.model.annotation.AnnotationBinaryOperator

      `getLeft, getRight`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationGreaterThan

          public AnnotationGreaterThan(AnnotationValue left,
                               AnnotationValue right)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### accept

          public java.lang.Object accept(AnnotationVisitor visitor)

      Description copied from interface: `AnnotationValue`
      Accept a visitor for this value.
      Parameters:
        `visitor` - Visitor
      Returns:
        Visitor result

    - #### getParameterValue

          public java.lang.Object getParameterValue()

      Description copied from interface: `AnnotationValue`
      Get a parameter value for `Annotation.getNamedParameter(String)`.
      Returns:
        Parameter value